package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$28 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var5 = ECConstants.ZERO;
      BigInteger var1 = BigInteger.valueOf(1L);
      BigInteger var2 = SECNamedCurves.access$0("01FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE9AE2ED07577265DFF7F94451E061E163C61");
      BigInteger var3 = BigInteger.valueOf(4L);
      ECCurve.F2m var4;
      ECCurve.F2m var10000 = var4 = new ECCurve.F2m;
      var10000.<init>(283, 5, 7, 12, var5, var1, var2, var3);
      ECPoint var6 = var10000.decodePoint(Hex.decode("040503213F78CA44883F1A3B8162F188E553CD265F23C1567A16876913B0C2AC245849283601CCDA380F1C9E318D90F95D07E5426FE87E45C0E8184698E45962364E34116177DD2259"));
      return new X9ECParameters(var4, var6, var2, var3, (byte[])null);
   }
}
